#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 incremental-parser
version:              0.5
visibility:           public
id:                   incremental-parser-0.5-1onHhQsu08hKyHkEM557zj
key:                  incremental-parser-0.5-1onHhQsu08hKyHkEM557zj
license:              GPL-3.0-only
copyright:            (c) 2011-2018 Mario Blazevic
maintainer:           blamario@yahoo.com
author:               Mario Blazevic
homepage:             https://github.com/blamario/incremental-parser
synopsis:
    Generic parser library capable of providing partial results from partial input.

description:
    This package defines yet another parser combinator library. This one is implemented using the concept of Brzozowski
    derivatives, tweaked and optimized to work with any monoidal input type. Lists, ByteString, and Text are supported out
    of the box, as well as any other data type for which the monoid-subclasses package defines instances. If the parser
    result is also a monoid, its chunks can be extracted incrementally, before the complete input is parsed.

category:             Parsing
abi:                  d0474846eb5b99048034bcc33118c233
exposed:              True
exposed-modules:
    Control.Applicative.Monoid Text.ParserCombinators.Incremental
    Text.ParserCombinators.Incremental.LeftBiasedLocal
    Text.ParserCombinators.Incremental.Symmetric

import-dirs:          /usr/lib/ghc-8.10.2/site-local/incremental-parser-0.5
library-dirs:         /usr/lib/ghc-8.10.2/site-local/incremental-parser-0.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/incremental-parser-0.5
hs-libraries:         HSincremental-parser-0.5-1onHhQsu08hKyHkEM557zj
depends:
    base-4.14.1.0 input-parsers-0.1.0.1-BLRXxSoPXrvKyjD67t8UU4
    monoid-subclasses-1.0.1-ItEi95OSqPOF9Ugv86prEv
    parsers-0.12.10-7ex3rSPNy5k3AwhEAjyzvJ
    rank2classes-1.4.1-3cf9HlxO38IGi9TPPVlI5l transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-incremental-parser/html/incremental-parser.haddock

haddock-html:         /usr/share/doc/haskell-incremental-parser/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

